import { StyleSheet } from "react-native";
import { external } from "../../../../../../styles/externalStyle";
import { commonStyles } from "../../../../../../styles/commonStyle";
import { windowHeight, windowWidth, fontSizes, appFonts } from "@src/themes";
import { appColors } from "@src/themes";

const styles = StyleSheet.create({
  sectionTitle: {
    ...commonStyles.mediumTextBlack12,
    marginTop: windowHeight(10),
    fontSize: fontSizes.FONT21,
    marginHorizontal: windowHeight(2),
    marginBottom: windowHeight(3),
    fontFamily: appFonts.semiBold,
  },
  itemContainer: {
    alignItems: "center",
    width: windowHeight(36),
    height: windowHeight(36),
    borderRadius: windowHeight(36),
    backgroundColor: appColors.whiteColor,
    justifyContent: "center",
    borderWidth: windowWidth(1.8),
  },
  lineHeight: {
    marginVertical: windowHeight(8),
    height: windowHeight(5),
    width: "100%",
    backgroundColor: appColors.lightGray,
  },
  titleText: {
    ...commonStyles.regularText,
    ...external.ph_8,
    ...external.fg_1,
    color: appColors.primaryText,
    fontSize: fontSizes.FONT18,
  },
  container: {
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(15),
    marginTop: windowHeight(9),
    paddingVertical: windowHeight(9),
    width: "100%",
    alignSelf: "center",
  },
  alertManu: {
    height: windowHeight(55),
    borderRadius: windowHeight(5.5),
    alignSelf: "center",
    width: "90%",
    justifyContent: "center",
  },
  alertTitle: {
    marginHorizontal: windowWidth(17),
    marginVertical: windowHeight(9),
  },
  listView: {
    alignItems: "center",
    marginHorizontal: windowWidth(17),
    width: "90%",
  },
  icon: {
    height: windowHeight(36),
    width: windowHeight(36),
    backgroundColor: appColors.iconRed,
    borderRadius: windowHeight(36),
    alignItems: "center",
    justifyContent: "center",
  },
  listTitle: {
    color: appColors.alertRed,
    marginHorizontal: windowWidth(12),
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
  },
  logoutTitle: {
    color: appColors.primary,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT23,
  },
  modelButton: {
    justifyContent: "space-between",
  },
  modelTitle: {
    fontFamily: appFonts.regular,
    width: windowWidth(300),
    textAlign: "center",
    marginBottom: windowHeight(20),
  },
  modelView: {
    alignItems: "center",
    justifyContent: "center",
    width: "auto",
  },
  alertBorder: {
    borderBottomWidth: windowHeight(0.9),
    marginHorizontal: windowHeight(13),
    marginVertical: windowHeight(10),
  },
  pressableView: {
    marginVertical: windowHeight(2),
  },
  SkeletonProfiletTittle: { marginTop: windowHeight(3) },
  skeltonAppPageView: {
    marginBottom: windowHeight(11),
    top: windowHeight(5),
    bottom: windowHeight(18),
  },
  skeletonLine: { top: windowHeight(5) },
  skeletonProfiletTittle: { marginHorizontal: windowHeight(11) },
  skeltonAppPage: {
    marginHorizontal: windowHeight(10),
    top: windowHeight(7),
  },
  skeltonAppPage1: {
    marginHorizontal: windowHeight(10),
    top: windowHeight(1),
  },
  alertZone: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT20,
    marginTop: windowHeight(20),
    marginHorizontal: windowWidth(5),
    marginBottom: windowHeight(3),
  },
  alertView: {
    backgroundColor: appColors.warnBg,
    marginTop: windowHeight(9),
    borderRadius: windowWidth(15),
    borderWidth: windowWidth(0.45),
  },
});
export { styles };
